<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Media Server: upload.MercurialVCS Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Media Server
   &#160;<span id="projectnumber">1.0</span>
   </div>
   <div id="projectbrief">Simple MediaServer with effects and filters</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classupload_1_1MercurialVCS.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">upload.MercurialVCS Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for upload.MercurialVCS:</div>
<div class="dyncontent">
<div class="center"><iframe scrolling="no" frameborder="0" src="classupload_1_1MercurialVCS__inherit__graph.svg" width="226" height="187"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for upload.MercurialVCS:</div>
<div class="dyncontent">
<div class="center"><iframe scrolling="no" frameborder="0" src="classupload_1_1MercurialVCS__coll__graph.svg" width="226" height="187"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a33890f442dedbb7d9fd45c08b5baed56"><td class="memItemLeft" align="right" valign="top"><a id="a33890f442dedbb7d9fd45c08b5baed56"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>__init__</b> (self, options, repo_dir)</td></tr>
<tr class="separator:a33890f442dedbb7d9fd45c08b5baed56"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6c05746012d8cd435c94ace1465671ef"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classupload_1_1MercurialVCS.html#a6c05746012d8cd435c94ace1465671ef">GenerateDiff</a> (self, extra_args)</td></tr>
<tr class="separator:a6c05746012d8cd435c94ace1465671ef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6190899fb86cd09ad84cc5d4b0ebd2f3"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classupload_1_1MercurialVCS.html#a6190899fb86cd09ad84cc5d4b0ebd2f3">GetUnknownFiles</a> (self)</td></tr>
<tr class="separator:a6190899fb86cd09ad84cc5d4b0ebd2f3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0cdc0cbe6ac4daab82f5f01e6ae2e670"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classupload_1_1MercurialVCS.html#a0cdc0cbe6ac4daab82f5f01e6ae2e670">GetBaseFile</a> (self, filename)</td></tr>
<tr class="separator:a0cdc0cbe6ac4daab82f5f01e6ae2e670"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classupload_1_1VersionControlSystem"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classupload_1_1VersionControlSystem')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classupload_1_1VersionControlSystem.html">upload.VersionControlSystem</a></td></tr>
<tr class="memitem:ace97e5785a2b40011404ae6fbb956ecf inherit pub_methods_classupload_1_1VersionControlSystem"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classupload_1_1VersionControlSystem.html#ace97e5785a2b40011404ae6fbb956ecf">__init__</a> (self, options)</td></tr>
<tr class="separator:ace97e5785a2b40011404ae6fbb956ecf inherit pub_methods_classupload_1_1VersionControlSystem"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad2923d691a1b1047e9359c5b7c1c103f inherit pub_methods_classupload_1_1VersionControlSystem"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classupload_1_1VersionControlSystem.html#ad2923d691a1b1047e9359c5b7c1c103f">CheckForUnknownFiles</a> (self)</td></tr>
<tr class="separator:ad2923d691a1b1047e9359c5b7c1c103f inherit pub_methods_classupload_1_1VersionControlSystem"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a812c3b3daf90c88b015fa4b26252e291 inherit pub_methods_classupload_1_1VersionControlSystem"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classupload_1_1VersionControlSystem.html#a812c3b3daf90c88b015fa4b26252e291">GetBaseFiles</a> (self, diff)</td></tr>
<tr class="separator:a812c3b3daf90c88b015fa4b26252e291 inherit pub_methods_classupload_1_1VersionControlSystem"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7e334f967301b9e85e5a9c39f5036823 inherit pub_methods_classupload_1_1VersionControlSystem"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classupload_1_1VersionControlSystem.html#a7e334f967301b9e85e5a9c39f5036823">UploadBaseFiles</a> (self, issue, rpc_server, patch_list, patchset, options, files)</td></tr>
<tr class="separator:a7e334f967301b9e85e5a9c39f5036823 inherit pub_methods_classupload_1_1VersionControlSystem"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a846889ecd2ef40870b456ddb5b349e02 inherit pub_methods_classupload_1_1VersionControlSystem"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classupload_1_1VersionControlSystem.html#a846889ecd2ef40870b456ddb5b349e02">IsImage</a> (self, filename)</td></tr>
<tr class="separator:a846889ecd2ef40870b456ddb5b349e02 inherit pub_methods_classupload_1_1VersionControlSystem"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a219c1e0ab9ce864e3231913762ea489b"><td class="memItemLeft" align="right" valign="top"><a id="a219c1e0ab9ce864e3231913762ea489b"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>repo_dir</b></td></tr>
<tr class="separator:a219c1e0ab9ce864e3231913762ea489b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0dad32e621f5523e3430d867184f0b42"><td class="memItemLeft" align="right" valign="top"><a id="a0dad32e621f5523e3430d867184f0b42"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>subdir</b></td></tr>
<tr class="separator:a0dad32e621f5523e3430d867184f0b42"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a41faae7820d5a015f4a42476e5e4ab8c"><td class="memItemLeft" align="right" valign="top"><a id="a41faae7820d5a015f4a42476e5e4ab8c"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>base_rev</b></td></tr>
<tr class="separator:a41faae7820d5a015f4a42476e5e4ab8c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_attribs_classupload_1_1VersionControlSystem"><td colspan="2" onclick="javascript:toggleInherit('pub_attribs_classupload_1_1VersionControlSystem')"><img src="closed.png" alt="-"/>&#160;Data Fields inherited from <a class="el" href="classupload_1_1VersionControlSystem.html">upload.VersionControlSystem</a></td></tr>
<tr class="memitem:a4d57d043bc408887b94269fe4cea9556 inherit pub_attribs_classupload_1_1VersionControlSystem"><td class="memItemLeft" align="right" valign="top"><a id="a4d57d043bc408887b94269fe4cea9556"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>options</b></td></tr>
<tr class="separator:a4d57d043bc408887b94269fe4cea9556 inherit pub_attribs_classupload_1_1VersionControlSystem"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><pre class="fragment">Implementation of the VersionControlSystem interface for Mercurial.</pre> </div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a6c05746012d8cd435c94ace1465671ef"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6c05746012d8cd435c94ace1465671ef">&#9670;&nbsp;</a></span>GenerateDiff()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def upload.MercurialVCS.GenerateDiff </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>args</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Return the current diff as a string.

Args:
  args: Extra arguments to pass to the diff command.
</pre> 
<p>Reimplemented from <a class="el" href="classupload_1_1VersionControlSystem.html#aa5eb260c96e7016dab36b5fc136c9f49">upload.VersionControlSystem</a>.</p>

</div>
</div>
<a id="a0cdc0cbe6ac4daab82f5f01e6ae2e670"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0cdc0cbe6ac4daab82f5f01e6ae2e670">&#9670;&nbsp;</a></span>GetBaseFile()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def upload.MercurialVCS.GetBaseFile </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>filename</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Get the content of the upstream version of a file.

Returns:
  A tuple (base_content, new_content, is_binary, status)
    base_content: The contents of the base file.
    new_content: For text files, this is empty.  For binary files, this is
      the contents of the new file, since the diff output won't contain
      information to reconstruct the current file.
    is_binary: True iff the file is binary.
    status: The status of the file.
</pre> 
<p>Reimplemented from <a class="el" href="classupload_1_1VersionControlSystem.html#adfd9d4ecba422102233a2ba13e5bfaf5">upload.VersionControlSystem</a>.</p>

</div>
</div>
<a id="a6190899fb86cd09ad84cc5d4b0ebd2f3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6190899fb86cd09ad84cc5d4b0ebd2f3">&#9670;&nbsp;</a></span>GetUnknownFiles()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def upload.MercurialVCS.GetUnknownFiles </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Return a list of files unknown to the VCS.</pre> 
<p>Reimplemented from <a class="el" href="classupload_1_1VersionControlSystem.html#a56a60e56aa9aff3df4001d2f84cab884">upload.VersionControlSystem</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>upload.py</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><b>upload</b></li><li class="navelem"><a class="el" href="classupload_1_1MercurialVCS.html">MercurialVCS</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
